#ifndef _POSITIONX_H_
#define _POSITIONX_H_

void         Position_init            (void);
PositionPtr  Position_new             (void);
PositionPtr  Position_duplicate       (const PositionPtr pos);
void         gPosition_delete         (gpointer data,
																			 gpointer extra);
#define      Position_delete(_pos)    ((void) gPosition_delete ((_pos), NULL))

void         Position_do_move         (const PositionPtr init,
																			 const MovePtr     move,
																			 PositionPtr       final);
guint        gPosition_hash           (gconstpointer     pos);
gint         gPosition_compare        (gconstpointer     pos_a,
																			 gconstpointer     pos_b);
void         compute_winning_hash     (const PositionPtr pos);
gboolean     Position_is_winning      (const PositionPtr pos);

#endif /* _POSITIONX_H_ */
